Subject: [Sigtran] Unrecognized Parameters coming from INIT

From: Moloud Mousavi <[email-masked]>
Date: Tue, 15 Jun 2010 10:28:46 -0400

Hi,

I have problem understanding "unrecognized Parameter" issue.
This is the excerpt from RFC 4960:

3.2.2. Reporting of Unrecognized Parameters
If the receiver of an INIT chunk detects unrecognized parameters and
has to report them according to Section 3.2.1, it MUST put the
'Unrecognized Parameter' parameter(s) in the INIT ACK chunk sent in
response to the INIT chunk. Note that if the receiver of the INIT
chunk is NOT going to establish an association (e.g., due to lack of
resources), an 'Unrecognized Parameter' would NOT be included with
any ABORT being sent to the sender of the INIT.

Does this mean that the receiver of INIT is not able to establish SCTP connection because of those unrecognized parameters? Does it respond back with abort as the next message?

In my case:  INIT_ACK reports back the unrecognized parameters. I have ECN and Forward TSN parameters. Both have "skip parameter and continue processing of the chunk" bit: on, and "report bit": on.

THANKS,
Moloud

________________________________
NOTICE: This e-mail contains information that may be confidential and proprietary. If you are not the intended recipient, any disclosure or other use of this e-mail or the information contained herein or attached hereto may be unlawful and is strictly prohibited. If you have received this e-mail in error, please notify the sender immediately and delete this e-mail without reading, printing, copying or forwarding it to anyone. Thank you for your kind cooperation.
AVIS : Ce courriel contient des renseignements qui peuvent etre confidentiels ou de propriete industrielle. Si vous n'etes pas le veritable destinataire, la diffusion ou l'usage de ce courriel, des renseignements qu'il contient ou des documents qui lui sont joints pourrait etre illegal. Il est donc strictement interdit de les diffuser ou de les utiliser. Si vous avez recu ce courriel par erreur, veuillez en aviser l'expediteur immediatement et veuillez le supprimer sans le lire, l'imprimer, le sauvegarder ou le diffuser. Merci de votre aimable collaboration.

---

From: Chris Benson <[email-masked]>
Date: Tue, 15 Jun 2010 11:03:19 -0700 (PDT)

Moloud,

You asked:
>>  Does this mean that the receiver of INIT is not able to 
>>  establish SCTP connection because of those unrecognized 
>>  parameters?

No.  Sending an INIT Ack means that the receiver of the INIT
intends to establish the association.  It is a positive
response.

>>  Does it respond back with abort as the next message?

No.  It could have chosen not to proceed positively, and send 
an ABORT instead of (not additionally to) the INIT Ack.

The receiver of the [positive[ INIT Ack might decide that the
parameters that were unknown/unrecognized by the receiver were
sufficiently important that it (the INIT sender) now wishes to
ABORT this association.  But it also might proceed positively.

>>  
>>  In my case:  INIT_ACK reports back the unrecognized parameters.
>>  I have ECN and Forward TSN parameters. Both have "skip parameter
>>  and continue processing of the chunk" bit: on, and "report bit": on.

Then you (presumably the initiator of the association, receiver 
of the INIT Ack) can decide whether to proceed with a peer that
doesn't recognize (and so doesn't support) ECN.  [TSN must be
supported - it is mandatory].  If you want to proceed, send a
COOKIE ECHO.  If you want to cancel this association, send an
ABORT.

With thanks, from Chris Benson.

On Tue, 15 Jun 2010, Moloud Mousavi wrote:

>>  Date: Tue, 15 Jun 2010 10:28:46 -0400
>>  From: Moloud Mousavi <[email-masked]>
>>  To: "[email-masked]" <[email-masked]>
>>  Subject: [Sigtran] Unrecognized Parameters coming from INIT
>>  
>>  Hi,
>>

---

From: "SINGH VIKRAMJEET" <[email-masked]>
Date: Thu, 17 Jun 2010 09:26:40 +0200

Hi,

Query> Node A send INIT to Node B with number of inbound/outbound
streams as '2'.
       Node B configured for inbound/outbound streams as '10'.
Would it be possible for SCTP link to be UP in this scenario?

Thanks,
Vikramjeet Singh

---

From: "David Laight" <[email-masked]>
Date: Thu, 17 Jun 2010 08:35:42 +0100

> Would it be possible for SCTP link to be UP in this scenario?

The value gets negotiated down ...

	David